# encoding: utf-8
$:.push File.expand_path('../lib', __FILE__)
require 'enrichment_db/version'

Gem::Specification.new do |s|
  s.name        = 'enrichment_db'
  s.version     = EnrichmentDb::VERSION
  s.platform    = Gem::Platform::RUBY
  s.licenses    = ['MIT']
  s.authors     = ['Aaron Wallis']
  s.email       = 'code@Lexer.io'
  s.homepage    = 'https://github.com/lexerdev/enrichment-db.gem'
  s.summary     = 'Lexer Enrichment Database Gem'
  s.description = 'Consume static data from the Lexer Enrichment database.'

  s.add_dependency 'multi_json', '~> 1.3'
  s.add_dependency 'pg'
  s.add_dependency 'pr_geohash'

  s.files = `git ls-files`.split($RS).reject do |file|
    file =~ %r{^(?:
    spec/.*
    |Gemfile
    |Rakefile
    |\.gitignore
    |\.rubocop.yml
    )$}x
  end
  s.test_files    = `git ls-files`.split($RS)
  s.require_paths = ['lib']
end
